/*! \file gettext.h
 * \brief Конфигурационные определения для подсистемы локализации Gettext
 */

#ifndef ALD_GETTEXT
#define ALD_GETTEXT

#include <libintl.h>

/*! \name Макрос локализации gettext */
///@{
#define _(str) gettext(str)

#define CORE_DOMAIN   "libald-core"

#define _M(str) dgettext(MODULE_DOMAIN, str)

#define _C(str) dgettext(CORE_DOMAIN, str)
///@}

#endif //ALD_GETTEXT
